# IRenderableData Struct Reference
[Shell Interfaces]

List of all members.

## Public Member Functions
virtual void MCCOMAPI | GetGlobalTreeTransform (TTreeTransform &outGlobalTT)=0
| returns the GlobalTreeTransform of the object to which this data is attached
virtual void MCCOMAPI | GetLocalTreeTransform (TTreeTransform &outLocalTT)=0
virtual void MCCOMAPI | GetGlobalTransform3D (TTransform3D &outGlobalTT)=0
virtual void MCCOMAPI | GetInverseGlobalTransform3D (TTransform3D &outGlobalTT)=0
virtual I3DEditorHostPanePart *MCCOMAPI | GetPanePart ()=0
| returns the pane part to which the data is attached
virtual void MCCOMAPI | GetBoundingBox (TBBox3D &outBox)=0
virtual void MCCOMAPI | GetReferencePoint (TVector3 &outReferencePoint)=0
virtual boolean MCCOMAPI | WantsReferencePointHandle ()=0
virtual real32 MCCOMAPI | GetManipulatorsSizeFactor ()=0
virtual boolean MCCOMAPI | GetGimbalEuler (TVector3 &outAngles, EEulerAnglesOrder &outOrder, TMatrix33 &outGimbalToLocRotation, TTreeTransform &outLocalTT, TTransform3D &outGlobalTT)=0
virtual void MCCOMAPI | GetScalingCenter (TVector3 &outScaleCenter)=0

## Detailed Description

This interface represents data that can be attached to a renderable manipulated by your pane extension That data is also linked to a specific pane part. So for one tree, you'll have as many datas as views managed by the 3deditor host. It doesn't derive from IMCUnknown because it is not meant to be counted

## Member Function Documentation

virtual void MCCOMAPI IRenderableData::GetBoundingBox | ( | TBBox3D & | outBox | ) | `[pure virtual]`

virtual boolean MCCOMAPI IRenderableData::GetGimbalEuler | ( | TVector3 & | outAngles,
|  | EEulerAnglesOrder & | outOrder,
|  | TMatrix33 & | outGimbalToLocRotation,
|  | TTreeTransform & | outLocalTT,
|  | TTransform3D & | outGlobalTT |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IRenderableData::GetGlobalTransform3D | ( | TTransform3D & | outGlobalTT | ) | `[pure virtual]`

virtual void MCCOMAPI IRenderableData::GetGlobalTreeTransform | ( | TTreeTransform & | outGlobalTT | ) | `[pure virtual]`

returns the GlobalTreeTransform of the object to which this data is attached

virtual void MCCOMAPI IRenderableData::GetInverseGlobalTransform3D | ( | TTransform3D & | outGlobalTT | ) | `[pure virtual]`

virtual void MCCOMAPI IRenderableData::GetLocalTreeTransform | ( | TTreeTransform & | outLocalTT | ) | `[pure virtual]`

virtual real32 MCCOMAPI IRenderableData::GetManipulatorsSizeFactor | ( |  | ) | `[pure virtual]`

virtual I3DEditorHostPanePart* MCCOMAPI IRenderableData::GetPanePart | ( |  | ) | `[pure virtual]`

returns the pane part to which the data is attached

virtual void MCCOMAPI IRenderableData::GetReferencePoint | ( | TVector3 & | outReferencePoint | ) | `[pure virtual]`

virtual void MCCOMAPI IRenderableData::GetScalingCenter | ( | TVector3 & | outScaleCenter | ) | `[pure virtual]`

virtual boolean MCCOMAPI IRenderableData::WantsReferencePointHandle | ( |  | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- I3DEditorHostPart.h